---
- hosts: localhost
  roles:
  - role: standard-test-source
    tags:
    - always

  - role: standard-test-basic
    tags:
    - classic
    required_packages:
    - jq
    - gcc
    - wget
    - jq-devel
    - valgrind
    - rubygem-rake
    tests:
    - upstream:
        dir: upstream
        run: ./jqtests.sh
    - segfault:
        dir: segfault
        run: ./jqsegfault.sh
    - performance:
        dir: performance
        run: ./jqspeed.sh
